#include <gtk/gtk.h>
#include <gmodule.h>
#include <stdio.h>

#include "poky-style.h"
#include "poky-draw.h"



G_MODULE_EXPORT void
theme_init (GTypeModule *module)
{
  poky_rc_style_register_type (module);
  poky_style_register_type (module);
}

G_MODULE_EXPORT void
theme_exit(void)
{
}

G_MODULE_EXPORT GtkRcStyle *
theme_create_rc_style (void)
{
  return GTK_RC_STYLE (g_object_new (POKY_TYPE_RC_STYLE, NULL));
}
