#ifndef POKY_STYLE_H
#define POKY_STYLE_H

#include <gtk/gtk.h>
#include <gmodule.h>

#include "poky-draw.h"

G_BEGIN_DECLS

/*** Gtk Style Class **********************************************************/

extern GType poky_type_style;

#define POKY_TYPE_STYLE              poky_type_style
#define POKY_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), POKY_TYPE_STYLE, PokyStyle))
#define POKY_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), POKY_TYPE_STYLE, PokyStyleClass))
#define POKY_IS_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), POKY_TYPE_STYLE))
#define POKY_IS_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), POKY_TYPE_STYLE))
#define POKY_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), POKY_TYPE_STYLE, PokyStyleClass))

typedef struct _PokyStyle PokyStyle;
typedef struct _PokyStyleClass PokyStyleClass;

struct _PokyStyle
{
  GtkStyle parent_instance;
};

struct _PokyStyleClass
{
  GtkStyleClass parent_class;
};

void poky_style_register_type (GTypeModule *module);

/******************************************************************************/

/*** Gtk Style RC Class *******************************************************/

extern GType poky_type_rc_style;

#define POKY_TYPE_RC_STYLE              poky_type_rc_style
#define POKY_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), POKY_TYPE_RC_STYLE, PokyRcStyle))
#define POKY_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), POKY_TYPE_RC_STYLE, PokyRcStyleClass))
#define POKY_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), POKY_TYPE_RC_STYLE))
#define POKY_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), POKY_TYPE_RC_STYLE))
#define POKY_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), POKY_TYPE_RC_STYLE, PokyRcStyleClass))

typedef struct _PokyRcStyle PokyRcStyle;
typedef struct _PokyRcStyleClass PokyRcStyleClass;

struct _PokyRcStyle
{
  GtkRcStyle parent_instance;
};

struct _PokyRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void poky_rc_style_register_type (GTypeModule *engine);

/******************************************************************************/

G_END_DECLS

#endif
